## org.aspectj.weaver.tools
Interface TypePatternMatcher

    public interface TypePatternMatcher

A compiled AspectJ type pattern that can be used to match against types at runtime.

Method Summary
`boolean` `matches(java.lang.Class aClass)` Does this type pattern matcher match the given type (Class).

Method Detail

### matches

    boolean matches(java.lang.Class aClass)

  Does this type pattern matcher match the given type (Class).